%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jastow
Version:          1.0.0
Release:          %mkrel 7
Group:            Development/Java
Summary:          Jasper fork
License:          ASL 2.0
Url:              https://github.com/undertow-io/jastow
Source0:          http://github.com/undertow-io/jastow/archive/%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    jboss-jsp-2.3-api
BuildRequires:    xnio
BuildRequires:    ecj
BuildRequires:    maven-local
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    undertow

BuildArch:        noarch

%description
The Jasper fork for Undertow.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jastow-%{namedversion}

%pom_remove_dep "org.glassfish:javax.el"

%build
# we don't want to have cyclic dep
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0.0-7.mga6
+ Revision: 982106
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-6.mga6
+ Revision: 976442
- First rebuild of the java stack
- sync package jastow with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 1.0.0-2.mga5
+ Revision: 806138
- Clean rebuild
- Mageify
- imported package jastow


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.CR1
- Upstream release 1.0.0.CR1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha2
- Make the package building again after version bump

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha2
- Using tarball provided by github
- Removed Requires

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha2
- Initial packaging

